hashcat (7.1.2+ds1-4) unstable; urgency=medium

  * debian/control: Add Breaks/Replaces on hashcat-data (<< 7.1.2+ds1-1~)
    to fix file conflict on upgrades (Closes: #1133232)

 -- Daniel Echeverri <epsilon@debian.org>  Mon, 14 Apr 2026 00:00:00 -0500

hashcat (7.1.2+ds1-3) unstable; urgency=medium

  * Move to unstable.
  * debian/patches
    + Refresfh fix_ftbfs_in_arm.diff to fix i386 build.

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 25 Oct 2025 17:49:24 -0500

hashcat (7.1.2+ds1-2) experimental; urgency=medium

  * debian/patches
    + Add fix_ftbfs_in_arm.diff patch.
      + Fix FTBFS in Armhf arch.

 -- Daniel Echeverri <epsilon@debian.org>  Wed, 01 Oct 2025 22:53:08 -0500

hashcat (7.1.2+ds1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    + Update my lastname and email.
    + Bump Standards-Version to 4.7.2 (no change)
    + Add python3 in Suggests field.
    + Use wrap-and-sort.
  * debian/patches
    + Add fix_correct_path_bridges.diff
      + Adjust default Python/Rust bridge paths.
    + Refresh Don-t-strip-executables-when-DEBUG-0.patch
    + Refresh Update-shebangs.patch
    + Refresh add_kfreebsd_support.diff
    + Refresh fix-spelling-error.patch
    + Refresh fix_makefile.patch
  * debian/hashcat.links
    + Add new links for python plugin.
  * debian/hashcat.install
    + Install new scripts and new bridges.
  * debian/rules
    + Add MAINTAINER_MODE flag.
  * debian/copyright
    + Use cme to update copyright file.
    + Update my lastname and email.
  * debian/watch
    + update watch file: use file format 5.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 21 Sep 2025 10:54:24 -0500

hashcat (6.2.6+ds2-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Apply multi-arch hints. + hashcat-data: Add :any qualifier for python3 dependency.

  [ Sophie Brun ]
  * Remove non-free code (Closes: #1065934) and disable build with unrar
  * New upstream version 6.2.6+ds2
  * Add missing copyright for deps/*

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 12:01:32 +0200

hashcat (6.2.6+ds1-1) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Sophie Brun ]
  * New upstream version 6.2.6+ds1
  * Refresh patches
  * Bump Standards-Version to 4.6.1
  * Install new files: tunings/* tools/*
  * Add missing dep Python3
  * Update lintian-overrides
  * Add a patch to fix lintian warnings about shebangs

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Oct 2022 11:50:50 +0200

hashcat (6.2.5+ds1-2) unstable; urgency=medium

  * Team Upload.
  * Fix the build on armhf ("selected architecture lacks an FPU")

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Dec 2021 14:53:02 +0100

hashcat (6.2.5+ds1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 6.2.5+ds1
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no change)
  * Update debian/upstream/metadata

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Dec 2021 16:19:44 +0100

hashcat (6.1.1+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.1.1+ds1

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 31 Jul 2020 15:09:49 +0200

hashcat (6.0.0+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Add dep/zlib in Files-Excluded (already in Debian)
  * New upstream version 6.0.0+ds1
  * Update description package
  * Update dates in debian/copyright
  * Update URL to https in debian/copyright
  * Refresh patches
  * Use Debian package zlib1g-dev for the build
    - add zlib1g-dev in build-dep
    - debian/rules: USE_SYSTEM_ZLIB=1
  * Use debian package libminizip-dev
    - add libminizip-dev in build-dep
    - debian/rules: export DEB_LDFLAGS_MAINT_APPEND = -lminizip
    - add a patch to change path to minizip/ioapi.h
  * Use upstream installation except for modules/*.so
    - Use upstream install: no more files listed by dh_missing
    - Don't install the modules/.*so in /usr/share/hashcat but in
      /usr/lib/hashcat and add a symlink (see
      https://github.com/hashcat/hashcat/issues/2462)

  [ Raphaël Hertzog ]
  * Stop using DEBUG=1 but patch makefile to ensure we don't strip binaries
    anyway

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jun 2020 12:20:24 +0200

hashcat (5.1.0+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Fix my name in changelog
  * Configure git-buildpackage

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sophie Brun ]
  * Add arm64 and armhf in supported arch (see
    https://bugs.kali.org/view.php?id=6010)
  * Update manpage (Closes: #922811)
  * Bump Standards-Version to 4.5.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Feb 2020 15:10:37 +0100

hashcat (5.1.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.1.0
  * Exclude from tarball deps/OpenCL* and deps/xxhash
  * Refresh patches and remove use-system-libxxhash.patch
  * d/rules: Use system libraries

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 07 Dec 2018 10:44:05 +0100

hashcat (5.0.0-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 5.0.0
  * Refresh patches
  * Add libxxhash-dev to build-dep
  * Bump Standards-Version to 4.2.1 (no change)
  * Add a patch to use the packaged libxxhash

  [ Raphaël Hertzog ]
  * Switch to debhelper compat level 11

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 08 Nov 2018 14:27:50 +0100

hashcat (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.1
  * Update debian/copyright
  * Bump Standards-Version (no change)

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Aug 2018 15:55:19 +0200

hashcat (4.1.0-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 4.1.0
  * Refresh patches

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>

 -- Sophie Brun <sophie@freexian.com>  Wed, 04 Apr 2018 15:08:31 +0200

hashcat (4.0.1-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Import new upstream release
  * Bump Standards-version to 4.1.3 (no change required)
  * Update debian/control with new Vcs-*
  * Add "Multi-Arch: foreign" for hashcat-data

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 20 Feb 2018 18:26:15 +0100

hashcat (3.60-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * debian/control: drop depends on mesa-opencl-icd as it's not compatible
    with beignet-opencl-icd and replace it with pocl-opencl-icd. Add all
    relevant *-opencl-icd in Suggests as a hint that the user should install
    the appropriate package for its hardware.

  [ Paul Wise ]
  * Fix apostrophe in description

  [ philipp ]
  * Fix package description (Closes: #855687)
  * Make URLS in https mode.

  [ Raphaël Hertzog ]
  * New upstream release.
  * Updated watch file to work around broken versioning scheme
    (https://github.com/hashcat/hashcat/issues/1275).
  * Update patches (reuse work made in Kali).
  * Update copyright file.
  * Stop installing libhashcat.so. It's not used by the hashcat binary and has
    no stable API.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 Jun 2017 17:21:21 +0200

hashcat (3.30-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * New upstream version 3.30.
  * wrap-and-sort -a.
  * d/rules: Remove trailing whitespace.
  * d/copyright: Update copyright.
  * d/patches:
    - add_kfreebsd_support.diff: Update and Refresh.
    - fix_makefile.patch: Refresh.

  [ Lorenzo "Palinuro" Faletra ]
  * Include libhashcat.so in hashcat binary package.

  [ Raphaël Hertzog ]
  * Install libhashcat.so in /usr/lib/hashcat. It's not clean enough
    to be supported as a public library.
  * Drop -march=native from the Makefile. Closes: #851497

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 19 Jan 2017 18:00:19 +0100

hashcat (3.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump DH level to 10.
  * debian/patches:
    + Refresh all patches files.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 27 Dec 2016 23:12:20 -0500

hashcat (3.10-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Add gbp.conf file.

  [ Daniel Echeverry ]
  * New upstream release.
  * debian/rules
    + Support reproducible builds. (Closes: #833056)
      + Thanks to Reiner Herrmann for the patch!.
  * debian/control
    + Remove article "The" from description to fix lintian warning.
    + Add support to kFreeBSD.
  * debian/patches
    + Refresh fix_makefile.diff patch.
    + Add add_kfreebsd_support.diff patch.
      + Thanks to Steven Chamberlain for the patch.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 05 Sep 2016 19:35:27 -0500

hashcat (3.00-3) unstable; urgency=medium

  [ Daniel Echeverry ]
  * debian/control
    + Add Replaces field in hashcat-data.
    + Improve description of hashcat and hashcat-data.

  [ Raphaël Hertzog ]
  * Further improve the description field.

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 12 Jul 2016 15:57:02 -0500

hashcat (3.00-2) unstable; urgency=medium

  * debian/rules
    + Fix FTBFS with dpkg-buildpackage -B (Closes: #830832)

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 11 Jul 2016 21:08:12 -0500

hashcat (3.00-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Add Debian Security Tools Packaging Team as maintainer.
    + Add Vcs-* Field.
    + Add opencl-headers in B-D.
    + Add mesa-opencl-icd | opencl-icd in Depends.
  * Remove hashcat-xop.1 file.
    + Because this version doesn't have hashcat-xop binary.
  * Add new extra documentation.
  * Update hashcat-data.examples to install new examples.
  * Update hashcat-data.install to install new files.
  * debian/patches
    + Update fix_makefile.patch.
  * debian/copyright
    + Add copyright holders.
    + Use License-Grant field.
  * debian/rules
    + Now hashcat doesn't have hashcat-xop feature
    + Remove override_dh_install because isn't necessary
    + Remove override_dh_installman because isn't necessary
    + Add override_dh_fixperms to fix some lintian warning
  * Add README.Debian File

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 30 Jun 2016 11:07:00 -0500

hashcat (2.00-2) unstable; urgency=medium

  * debian/control
    + Change arch field to linux-i386 and linux-amd64 because
      hashcat only works with processors that support SSE2
  * debian/rules
    + Create dir to prevent FTBFS

 -- Daniel Echeverry <epsilon77@gmail.com>  Thu, 12 May 2016 10:38:42 -0500

hashcat (2.00-1) unstable; urgency=medium

  * Initial release (Closes: #819459)

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 19 Apr 2016 23:08:10 -0500
